[![](https://img.shields.io/badge/python-3.9+-blue.svg)](https://www.python.org/downloads/) [![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT) [![arXiv](https://img.shields.io/badge/arXiv-2209.14371-b31b1b.svg)](https://arxiv.org/abs/2209.14371) [![DOI](https://img.shields.io/badge/DOI-10.1016%2Fj.cpc.2023.108750-blue)](https://doi.org/10.1016/j.cpc.2023.108750)
# pyerrors
`pyerrors` is a python framework for error computation and propagation of Markov chain Monte Carlo data from lattice field theory and statistical mechanics simulations.

- **Documentation:** https://fjosw.github.io/pyerrors/pyerrors.html
- **Examples:** https://github.com/fjosw/pyerrors/tree/develop/examples
- **Ask a question:** https://github.com/fjosw/pyerrors/discussions/new?category=q-a
- **Changelog:** https://github.com/fjosw/pyerrors/blob/develop/CHANGELOG.md
- **Bug reports:** https://github.com/fjosw/pyerrors/issues

## Installation
Install the most recent release using pip and [pypi](https://pypi.org/project/pyerrors/):
```bash
python -m pip install pyerrors     # Fresh install
python -m pip install -U pyerrors  # Update
```

## Contributing
We appreciate all contributions to the code, the documentation and the examples. If you want to get involved please have a look at our [contribution guideline](https://github.com/fjosw/pyerrors/blob/develop/CONTRIBUTING.md).

## Citing pyerrors
If you use `pyerrors` for research that leads to a publication we suggest citing the following papers:
- Fabian Joswig, Simon Kuberski, Justus T. Kuhlmann, Jan Neuendorf, *pyerrors: a python framework for error analysis of Monte Carlo data*. Comput.Phys.Commun. 288 (2023) 108750.
- Ulli Wolff, *Monte Carlo errors with less errors*. Comput.Phys.Commun. 156 (2004) 143-153, Comput.Phys.Commun. 176 (2007) 383 (erratum).
- Alberto Ramos, *Automatic differentiation for error analysis of Monte Carlo data*. Comput.Phys.Commun. 238 (2019) 19-35.
- Stefan Schaefer, Rainer Sommer, Francesco Virotta, *Critical slowing down and error analysis in lattice QCD simulations*. Nucl.Phys.B 845 (2011) 93-119.
